oo2po(1)

NAME
oo2po - Converts OpenOffice.org exported .oo files to Gettext .po files

SYNOPSIS

oo2po [--version] [-h|--help] [--manpage] [--progress PROGRESS] [--errorlevel ERRORLEVEL] [-i|--input] INPUT [-x|--exclude EXCLUDE] [-o|--output] OUTPUT [--psyco MODE] [-P|--pot] [-l|--language LANG] [--source-language LANG] [--nonrecursiveinput] [--duplicates DUPLICATESTYLE] [--multifile MULTIFILESTYLE]

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

--manpage
    output a manpage based on the help

--progress=PROGRESS
    show progress as: dots, none, bar, names, verbose

--errorlevel=ERRORLEVEL
    show errorlevel as: none, message, exception, traceback

-iINPUT, --input=INPUT
    read from INPUT in oo, sdf formats

-xEXCLUDE, --exclude=EXCLUDE
    exclude names matching EXCLUDE from input paths

-oOUTPUT, --output=OUTPUT
    write to OUTPUT in po, pot formats

--psyco=MODE
    use psyco to speed up the operation, modes: none, full, profile

-P, --pot
    output PO Templates (.pot) rather than PO files (.po)

-lLANG, --language=LANG
    set target language to extract from oo file (e.g. af-ZA)

--source-language=LANG
    set source language code (default en-US)

--nonrecursiveinput
    don't treat the input oo as a recursive store

--duplicates=DUPLICATESTYLE
    what to do with duplicate strings (identical source text): merge (default), msgid_comment, msgctxt, keep, msgid_comment_all

--multifile=MULTIFILESTYLE
    how to split po/pot files (single, toplevel or onefile)